/*! assets/styles/naive-ui-overrides.css */

.n-card-header,
.n-data-table .n-data-table-base-table-header,
.n-dialog,
.n-drawer-header,
.n-form-item-label,
.n-form-item-feedback,
.n-menu,
.n-pagination,
.n-tag,
.n-tabs-wrapper {
  user-select: none;
}

.n-menu .n-submenu {
  cursor: initial;
}

.n-menu
  .n-menu-item-content--collapsed.n-menu-item-content--child-active:hover::before,
.n-menu
  .n-menu-item-content--collapsed.n-menu-item-content--child-active::before,
.n-menu
  .n-menu-item-content--collapsed.n-menu-item-content--hover.n-menu-item-content--child-active::before {
  background-color: var(--n-item-color-active);
}

.n-date-panel {
  overflow: auto;
}

.n-date-panel
  .n-date-panel-dates
  .n-date-panel-date.n-date-panel-date--current
  .n-date-panel-date__sup {
  width: 0.5em;
  height: 0.5em;
  box-shadow: var(--n-panel-box-shadow);
  border-radius: 1em;
}

.n-date-panel-actions .n-button {
  padding: var(--n-panel-action-padding);
  font-size: var(--item-font-size);
  height: var(--n-calendar-days-height);
}

.n-scrollbar .n-scrollbar-rail--vertical,
.n-scrollbar .n-scrollbar-rail--horizontal {
  z-index: var(--n-scrollbar-layer);
}

@media (max-width: 767px) {
  .n-date-panel.n-date-panel--daterange {
    grid-template-areas:
      "divider left-calendar left-calendar"
      "divider footer footer"
      "divider right-calendar right-calendar"
      "action action action";
  }

  .n-date-panel-actions {
    flex-direction: column;
  }

  .n-date-panel .n-date-panel-actions .n-button {
    margin: 0;
    flex-grow: 1;
  }

  .n-date-panel-actions__prefix,
  .n-date-panel-actions__suffix {
    gap: 0.5em;
  }

  .n-date-panel .n-date-panel-actions .n-date-panel-actions__prefix,
  .n-date-panel .n-date-panel-actions .n-date-panel-actions__suffix {
    margin-bottom: 0;
  }

  .n-date-panel-actions__suffix {
    width: 100%;
    padding-top: 0.5em;
    padding-bottom: 0.5em;
  }
}
